For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • GETList knowledge bases
      • GETGet a knowledge base
      • POSTCreate a knowledge base
      • PUTUpdate a knowledge base
      • DELDelete a knowledge base
      • POSTAttach a knowledge base
      • POSTDetach a knowledge base
      • GETList knowledge base sources
      • POSTAdd a knowledge base source
      • PUTUpdate a knowledge base source
      • DELDelete a knowledge base source
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APIKnowledge Bases

Get a knowledge base

||View as Markdown|
GET
/knowledge_base/:id
GET
/v2/knowledge_base/:id
$curl https://api.synthflow.ai/v2/knowledge_base/id \
> -H "Authorization: Bearer <token>"
1{
2 "status": "ok",
3 "response": {
4 "total_records": 1,
5 "knowledge_bases": [
6 {
7 "name": "David",
8 "rag_use_condition": "When a user asks for the product list.",
9 "id": "1739253053024x397207388602947460"
10 }
11 ]
12 }
13}
Retrieves the knowledge base's name and use condition.
Was this page helpful?
Previous

Create a knowledge base

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
Knowledge base ID.

Response

200
statusstring
Whether the request was successful.
responseobject

Errors

400
Bad Request Error